UbuntuUpdates.org

Package "nvidia-graphics-drivers-440"




Name: nvidia-graphics-drivers-440

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Shared files used by the NVIDIA libraries
  • NVIDIA libcompute package
  • NVIDIA Video Decoding runtime libraries
  • NVENC Video Encoding runtime library

Latest version: *DELETED*
Release: bionic (18.04)
Level: proposed
Repository: multiverse

Links



Other versions of "nvidia-graphics-drivers-440" in Bionic

Repository Area Version
security restricted 440.100-0ubuntu0.18.04.1
updates restricted 440.100-0ubuntu0.18.04.1
PPA: Canonical Kernel Team 440.100-0ubuntu0.18.04.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: *DELETED* 2020-06-25 11:07:10 UTC
No changelog for deleted or moved packages.

Version: 440.100-0ubuntu0.18.04.1 2020-06-25 07:06:50 UTC

  nvidia-graphics-drivers-440 (440.100-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * New upstream release (LP: #1882093):
    - CVE-2020-5963, CVE-2020-5967.
  * debian/templates/nvidia-compute-utils-flavour.postinst.in:
    - Remove the --shell argument.
  * debian/templates/libnvidia-common-flavour.install.in:
    - Add the new libnvidia-allocator library.
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch:
    - Update patch.
  * debian/templates/dkms_nvidia.conf.in:
  * Fix the installation path of nvidia_layers.json.
  * debian/rules:
    - Add more $arch_only and $arch_excluded.
    - Fix arch eq condition.
    - Merge the fragment file if uvm is not disabled.
    - Expose the debian version.
    - Build uvm unless the arch does not support it.
  * debian/templates:
    - Tidy up the html docs, and sort the lines in the files.
    - Even out spacing in files.
  * Add device-create, and use it in the udev rule, to replace
    nvidia-smi.
  * debian/templates/control.in:
    - Add build-dep on libkmod-dev, libpciaccess-dev, pkg-config.
    - Add Conflicts, Breaks and Replaces for libnvidia-extra.
    - Add nvidia-kernel-common dependency

 -- Alberto Milone <email address hidden> Fri, 29 May 2020 12:36:41 +0200

CVE-2020-5963 RESERVED
CVE-2020-5967 RESERVED

Version: *DELETED* 2020-05-04 09:06:32 UTC
No changelog for deleted or moved packages.

Version: 440.59-0ubuntu0.18.04.1 2020-02-07 19:06:27 UTC

  nvidia-graphics-drivers-440 (440.59-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release:
    - Disabled frame rate limiting for configurations without active
      displays when HardDPMS is enabled.
    - Restricted the maximum number of GPU Screens to one GPU Screen
      per GPU device, to prevent X from crashing when more than one
      GPU Screen is configured for a single GPU device.
    - Fixed a bug that could cause the X server to crash while
      exiting DPMS with HardDPMS enabled.
    - Added support for audio over DisplayPort Multi-Stream. This
      support requires Linux kernel version 5.5 or newer.
    - Updated the NVIDIA driver to allow NVIDIA High Definition Audio
      (HDA) controllers to respond to display hotplug events while
      the HDA is runtime-suspended.
    - Fixed a bug that caused DXVK titles to endlessly loop during
      shader compilation if no OpSource instruction was present.
    - Add PRIME Synchronization support for Linux kernel 5.4 and
      newer.

Source diff to previous version

Version: 440.44-0ubuntu0.18.04.1 2020-02-05 12:06:45 UTC

  nvidia-graphics-drivers-440 (440.44-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1854485).

 -- Alberto Milone <email address hidden> Fri, 24 Jan 2020 16:44:18 +0100




About   -   Send Feedback to @ubuntu_updates